Skip to main content
GET
/
apps
/
at-pt
/
v1
/
entry
/
{silo_entry_id}
/
series
/
{id}
cURL
curl --request GET \
  --url https://api.invopop.com/apps/at-pt/v1/entry/{silo_entry_id}/series/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.invopop.com/apps/at-pt/v1/entry/{silo_entry_id}/series/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.invopop.com/apps/at-pt/v1/entry/{silo_entry_id}/series/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "1d8ab49a-bd14-11ef-925f-325096b39f47",
  "code": "FT SERIES-A",
  "base": "SERIES-A",
  "document_type": "FT",
  "type": "N",
  "validation_code": "AAJFJ3N5YS"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
Get details of a registered series by its ID, including the validation code provided by the Portuguese Tax Authority.

Authorizations

Authorization
string
header
required

Use the Bearer scheme with a valid JWT token to authenticate requests.

Example: Authorization: Bearer <token>

Path Parameters

silo_entry_id
string
required

Silo entry ID of the supplier to get the series for.

Example:

"347c5b04-cde2-11ed-afa1-0242ac120002"

id
string
required

UUID of the series to get the details for.

Example:

"1d8ab49a-bd14-11ef-925f-325096b39f47"

Response

Series details.

id
string

Series ID.

Example:

"1d8ab49a-bd14-11ef-925f-325096b39f47"

code
string

Full series code (document type + base code).

Example:

"FT SERIES-A"

base
string

Base code for the series.

Example:

"SERIES-A"

document_type
string

Document type for the series.

Example:

"FT"

type
string

Type of the series.

Example:

"N"

validation_code
string

AT validation code for the series used to generate ATCUD codes.

Example:

"AAJFJ3N5YS"